org.apache.cassandra.transport

## Class FrameCompressor.LZ4Compressor

- java.lang.Object
- - org.apache.cassandra.transport.FrameCompressor.LZ4Compressor

- All Implemented Interfaces:
    FrameCompressor
  Enclosing interface:
    FrameCompressor

      public static class FrameCompressor.LZ4Compressor
      extends java.lang.Object
      implements FrameCompressor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.transport.FrameCompressor

      `FrameCompressor.LZ4Compressor, FrameCompressor.SnappyCompressor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FrameCompressor.LZ4Compressor` | `instance`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Frame` | `compress(Frame frame)`
    `Frame` | `decompress(Frame frame)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final FrameCompressor.LZ4Compressor instance

  - ### Method Detail

    - #### compress

          public Frame compress(Frame frame)
                         throws java.io.IOException

      Specified by:
        `compress` in interface `FrameCompressor`
      Throws:
        `java.io.IOException`

    - #### decompress

          public Frame decompress(Frame frame)
                           throws java.io.IOException

      Specified by:
        `decompress` in interface `FrameCompressor`
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation